org.apache.hadoop.mapreduce.v2.api.protocolrecords

## Interface GetTaskReportsRequest

- All Known Implementing Classes:
    GetTaskReportsRequestPBImpl

      public interface GetTaskReportsRequest

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JobId` | `getJobId()`
    `TaskType` | `getTaskType()`
    `void` | `setJobId(JobId jobId)`
    `void` | `setTaskType(TaskType taskType)`

- - ### Method Detail

    - #### getJobId

          JobId getJobId()

    - #### getTaskType

          TaskType getTaskType()

    - #### setJobId

          void setJobId(JobId jobId)

    - #### setTaskType

          void setTaskType(TaskType taskType)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.